Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 659616 - sys-power/pm-utils: abandoned upstream
Summary: sys-power/pm-utils: abandoned upstream
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Freedesktop bugs
URL:
Whiteboard:
Keywords: PMASKED, PullRequest
Depends on: 670908 670910 670912
Blocks: EAPI5Removal
  Show dependency tree
 
Reported: 2018-06-29 20:11 UTC by Michał Górny
Modified: 2021-02-21 10:57 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-06-29 20:11:16 UTC
Today upstream closed all bugs reported for pm-utils, indicating:

| pm-utils hasn't been touched in eight years, none of this is likely to get
| addressed.  Closing bugs and disabling the bz product.  [1]

Indeed, the last commit at [2] is in 2010.  Homepage [3] is full of dead links.  Mailing list archives indicate activity of 1-2 mails per year, with no reply.  There's also a lot of unhandled Gentoo bugs.

I think it's time we should seriously look into removing this.

[1]:https://bugs.freedesktop.org/show_bug.cgi?id=43918#c3
[2]:https://cgit.freedesktop.org/pm-utils/
[3]:https://pm-utils.freedesktop.org/wiki/
Comment 1 Andreas Sturmlechner gentoo-dev 2018-11-11 13:07:34 UTC
Does sys-auth/consolekit even have an other way of providing hibernation support?
Comment 2 Christoph Junghans gentoo-dev 2018-11-11 17:07:48 UTC
What are we doing about xfce-extra/xfce4-power-manager, which seems to hard-depends on sys-power/pm-utils?
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-11-11 19:08:39 UTC
<xfce hat>
Feel free to remove it.
</xfce hat>
Comment 4 Jason Zaman gentoo-dev 2018-11-12 10:12:20 UTC
(In reply to Christoph Junghans from comment #2)
> What are we doing about xfce-extra/xfce4-power-manager, which seems to
> hard-depends on sys-power/pm-utils?

its technically optional for suspend / resume.

(In reply to Michał Górny from comment #3)
> <xfce hat>
> Feel free to remove it.
> </xfce hat>

no please dont. xfce4-power-manager does a lot more than just suspend/resume. I'll bump it soon and remove the pm-utils dep.
Comment 5 Matthew Schultz 2018-11-14 13:58:37 UTC
(In reply to Andreas Sturmlechner from comment #1)
> Does sys-auth/consolekit even have an other way of providing hibernation
> support?

I'm also curious about this.  What's the replacement for pm-utils?  I'm now blocked from emerge world because pm-utils use flag is masked on powermgmt-base which laptop-mode-tools with apm enabled depends on.  Before developers start disabling things we depend on, perhaps they could provide a warning ahead of time and a solution for people who depend on pm-utils?
Comment 6 Matthew Schultz 2018-11-14 14:23:10 UTC
(In reply to Matthew Schultz from comment #5)
> (In reply to Andreas Sturmlechner from comment #1)
> > Does sys-auth/consolekit even have an other way of providing hibernation
> > support?
> 
> I'm also curious about this.  What's the replacement for pm-utils?  I'm now
> blocked from emerge world because pm-utils use flag is masked on
> powermgmt-base which laptop-mode-tools with apm enabled depends on.  Before
> developers start disabling things we depend on, perhaps they could provide a
> warning ahead of time and a solution for people who depend on pm-utils?

Does this also mean the eventual removal of consolekit which will force us to use elogind?
Comment 7 Michael Palimaka (kensington) gentoo-dev 2018-11-17 02:14:33 UTC
(In reply to Matthew Schultz from comment #6)
> (In reply to Matthew Schultz from comment #5)
> > (In reply to Andreas Sturmlechner from comment #1)
> > > Does sys-auth/consolekit even have an other way of providing hibernation
> > > support?
> > 
> > I'm also curious about this.  What's the replacement for pm-utils?  I'm now
> > blocked from emerge world because pm-utils use flag is masked on
> > powermgmt-base which laptop-mode-tools with apm enabled depends on.  Before
> > developers start disabling things we depend on, perhaps they could provide a
> > warning ahead of time and a solution for people who depend on pm-utils?
> 

Unfortunately I'm not aware of any pm-utils drop-in replacement (AFAIK the only other option is systemd or elogind).

> Does this also mean the eventual removal of consolekit which will force us
> to use elogind?

We ship ConsoleKit2 in sys-auth/consolekit which has a new upstream compared to the original ConsoleKit, so hopefully that will be around for some time still.
Comment 8 Matthew Schultz 2018-11-17 03:49:53 UTC
(In reply to Michael Palimaka (kensington) from comment #7)
> (In reply to Matthew Schultz from comment #6)
> > (In reply to Matthew Schultz from comment #5)
> > > (In reply to Andreas Sturmlechner from comment #1)
> > > > Does sys-auth/consolekit even have an other way of providing hibernation
> > > > support?
> > > 
> > > I'm also curious about this.  What's the replacement for pm-utils?  I'm now
> > > blocked from emerge world because pm-utils use flag is masked on
> > > powermgmt-base which laptop-mode-tools with apm enabled depends on.  Before
> > > developers start disabling things we depend on, perhaps they could provide a
> > > warning ahead of time and a solution for people who depend on pm-utils?
> > 
> 
> Unfortunately I'm not aware of any pm-utils drop-in replacement (AFAIK the
> only other option is systemd or elogind).
> 
> > Does this also mean the eventual removal of consolekit which will force us
> > to use elogind?
> 
> We ship ConsoleKit2 in sys-auth/consolekit which has a new upstream compared
> to the original ConsoleKit, so hopefully that will be around for some time
> still.

Consolekit2 without suspend is kinda crappy.  I wonder if Consolekit2 will integrate that functionality similar to what elogind as done.  I'm not going to hold my breath though.  I guess we're being forced into elogind at the bare minimum then.
Comment 9 Andreas Sturmlechner gentoo-dev 2018-11-17 10:04:13 UTC
(In reply to Matthew Schultz from comment #8)
> I guess we're being forced into elogind at the bare minimum then.

Even now, elogind already solves a number of issues present with consolekit2. The only reason we haven't switched the default yet is the fact that it will put us into conflict with other desktop packages in the tree that are not yet ported to elogind. I'm sure there's a sizeable number of users around with more than one DE installed, think of multi-user systems.
Comment 10 Andreas Sturmlechner gentoo-dev 2020-04-14 09:59:10 UTC
(In reply to Jason Zaman from comment #4)
> no please dont. xfce4-power-manager does a lot more than just
> suspend/resume. I'll bump it soon and remove the pm-utils dep.
What happened to that idea?
Comment 11 Holger Hoffstätte 2020-04-14 10:26:08 UTC
As far as I can tell there are two principal dependencies on pm-utils:

- xfpm-pm-helper.c (a standalone executable) has pm-utils as
default Linux backend:

#ifdef BACKEND_TYPE_LINUX
#define UP_BACKEND_SUSPEND_COMMAND "/usr/sbin/pm-suspend"
#define UP_BACKEND_HIBERNATE_COMMAND "/usr/sbin/pm-hibernate"
#endif

- xfpm-suspend.c:linux_supports_sleep_state() runs pm-is-supported:

...
  /* run script from pm-utils */
  command = g_strdup_printf ("/usr/bin/pm-is-supported --%s", state);
  g_debug ("executing command: %s", command);
  ret = g_spawn_command_line_sync (command, NULL, NULL, &exit_status, &error);
...

So adding an "elogind backend" and switching pm-suspend/hibernate to loginctl
suspend/hibernate doesn't seem *that* difficult. Don't know what the equivalent
to pm-is-supported is.
Comment 12 Harald Judt 2020-04-19 19:41:50 UTC
xfce4-power-manager does support systemd, and pm-utils is only a fallback backend for linux systems that don't support it. So why not just drop pm-utils as dependency from the ebuild?

I've removed it and pm-utils from my system after migrating to elogind, and everything still seems to work fine.

No need to remove xfce4-power-manager.
Comment 13 Andreas Sturmlechner gentoo-dev 2020-05-03 17:35:31 UTC
(In reply to Harald Judt from comment #12)
> No need to remove xfce4-power-manager.

bug 670912 is the one to report that instead.
Comment 14 Larry the Git Cow gentoo-dev 2020-05-17 17:08:57 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f79ba73cccbf25731dd85fbb9007ad0622c8ae7a

commit f79ba73cccbf25731dd85fbb9007ad0622c8ae7a
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-05-17 09:37:12 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-05-17 17:08:28 +0000

    profiles: Add sys-power/pm-utils to package.deprecated
    
    Bug: https://bugs.gentoo.org/659616
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 profiles/package.deprecated | 4 ++++
 1 file changed, 4 insertions(+)
Comment 15 Andreas Sturmlechner gentoo-dev 2020-06-26 14:32:49 UTC
It appears to me that sys-power/pm-quirks can go as well with this.
Comment 16 Maxxim 2020-11-13 07:00:32 UTC
If this is removed, will there be any alternative to suspend/hibernate machines via command line? The ability to call 'pm-suspend'/'pm-hibernate' via SSH is quite useful. Also, those commands are useful for debugging suspend/hibernation issues.
Comment 17 Holger Hoffstätte 2020-11-13 09:26:24 UTC
(In reply to Maxxim from comment #16)
> If this is removed, will there be any alternative to suspend/hibernate
> machines via command line? The ability to call 'pm-suspend'/'pm-hibernate'
> via SSH is quite useful. Also, those commands are useful for debugging
> suspend/hibernation issues.

I use elogind's 'loginctl suspend' without issue. Requires polkit for non-root.
Comment 18 Maxxim 2020-11-14 05:55:46 UTC
(In reply to Holger Hoffstätte from comment #17)
> I use elogind's 'loginctl suspend' without issue. Requires polkit for
> non-root.
Great, I didn't know elogind/loginctl offers that. Running 'loginctl suspend' as a normal user works out of the box for me. Thanks!
Comment 19 Larry the Git Cow gentoo-dev 2021-01-06 21:07:57 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d4d9fa07c44040a277447a2e325149fa4e61be36

commit d4d9fa07c44040a277447a2e325149fa4e61be36
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-11-07 21:54:44 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-01-06 21:06:58 +0000

    profiles: Mask sys-power/pm-utils, sys-power/pm-quirks for removal
    
    Bug: https://bugs.gentoo.org/659616
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 profiles/package.deprecated | 4 ----
 profiles/package.mask       | 5 +++++
 2 files changed, 5 insertions(+), 4 deletions(-)
Comment 20 Larry the Git Cow gentoo-dev 2021-02-21 10:57:24 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f146bb7e14ac3405429772d4adfef555f7810c20

commit f146bb7e14ac3405429772d4adfef555f7810c20
Author:     Jakov Smolic <jakov.smolic@sartura.hr>
AuthorDate: 2021-02-21 10:56:16 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-02-21 10:56:16 +0000

    sys-power/pm-utils: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/659616
    Closes: https://bugs.gentoo.org/703026
    Closes: https://bugs.gentoo.org/666380
    Closes: https://bugs.gentoo.org/579912
    Closes: https://bugs.gentoo.org/549848
    Closes: https://bugs.gentoo.org/533168
    Closes: https://bugs.gentoo.org/489650
    Closes: https://bugs.gentoo.org/443530
    Closes: https://bugs.gentoo.org/442052
    Closes: https://bugs.gentoo.org/437930
    Closes: https://bugs.gentoo.org/426952
    Closes: https://bugs.gentoo.org/426510
    Closes: https://bugs.gentoo.org/403523
    Closes: https://bugs.gentoo.org/401257
    Closes: https://bugs.gentoo.org/362387
    Closes: https://bugs.gentoo.org/257156
    
    Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr>
    Signed-off-by: David Seifert <soap@gentoo.org>

 profiles/arch/amd64/package.use.mask               |  4 -
 profiles/arch/base/package.use.mask                |  4 -
 profiles/arch/hppa/use.mask                        |  4 -
 profiles/arch/x86/package.use.mask                 |  4 -
 sys-power/pm-utils/Manifest                        |  1 -
 .../pm-utils/files/1.4.1-bluetooth-sync.patch      | 43 ----------
 .../pm-utils/files/1.4.1-disable-sata-alpm.patch   | 24 ------
 sys-power/pm-utils/files/1.4.1-echo-n.patch        | 51 ------------
 sys-power/pm-utils/files/1.4.1-fix-alpm-typo.patch | 29 -------
 .../1.4.1-fix-intel-audio-powersave-hook.patch     | 40 ---------
 .../pm-utils/files/1.4.1-ignore-led-failure.patch  | 14 ----
 .../files/1.4.1-inhibit-on-right-status.patch      | 20 -----
 .../pm-utils/files/1.4.1-logging-append.patch      | 17 ----
 .../pm-utils/files/1.4.1-run-hook-logging.patch    | 17 ----
 .../pm-utils/files/1.4.1-suspend-hybrid.patch      | 36 ---------
 .../files/1.4.1-uswsusp-hibernate-mode.patch       | 19 -----
 .../files/1.4.1-xfs_buffer_arguments.patch         | 31 -------
 sys-power/pm-utils/files/pm-utils.logrotate        |  8 --
 sys-power/pm-utils/files/power.d/pci_devices       | 61 --------------
 sys-power/pm-utils/files/power.d/usb_bluetooth     | 45 -----------
 sys-power/pm-utils/files/sleep.d/50unload_alx      | 18 -----
 sys-power/pm-utils/metadata.xml                    | 10 ---
 sys-power/pm-utils/pm-utils-1.4.1-r7.ebuild        | 94 ----------------------
 23 files changed, 594 deletions(-)